/* === Calendar page === */

.fc-calendar
	color: $white


.fc-calendar
	+pie-clearfix()

	.fc-head
		+pie-clearfix()
		margin-bottom: 21px

		> div
			text-align: center
			width: (100/7)*1%
			float: left
			background: $red
			line-height: 42px
			text-transform: uppercase


			&:nth-child(2n)
				background: $green

	.fc-body
		position: relative
		width: 100%
		height: 100%

	.fc-row
		width: 100%

		&:last-child
			border-bottom: none

		.fc-today
			background: $white
			color: $black

			> div
				padding: 7px

				> a
					color: $black
					background: url(../img/black_cake.png) 0 0 no-repeat transparent


		.fc-out
			opacity: 0.6


		> div
			overflow: hidden
			position: relative
			float: left
			height: 137px
			width: (100/7)*1%
			position: relative
			background: $red
			+transition(all 0.4s ease-out)
			+backface-visibility(hidden)
			+scale(1.01)

			> div
				padding: 7px

				> a
					color: $white
					text-transform: uppercase
					font-size: 0.75em
					letter-spacing: 1px
					line-height: 1.5em
					padding-left: 25px
					display: block
					background: url(../img/cake.png) 0 0 no-repeat transparent


			&:hover
				+scale(1.1)
				z-index: 100

			> span.fc-date
				position: absolute
				width: 30px
				height: 20px
				font-size: 2em
				line-height: 20px
				bottom: 10.5px
				right: 10.5px
				text-align: right
				font-weight: 300

			> span.fc-weekday
				padding-left: 5px
				display: none

.calendar-nav
	+pie-clearfix()
	float: right

	> li
		float: left
		margin-left: 21px

		> h2
			color: lighten($black, 60%)
			font-weight: 300
			margin: 0
			padding: 10.5px

		.month-changer
			background: $white
			width: 250px
			float: left
			+pie-clearfix
			+box-shadow(0 0 0 1px $darkgray)
			+user-select(none)

			> h4
				float: left
				padding: 10.5px
				margin: 0

				> span
					margin-left: 10.5px
					color: $brown

			> div
				float: right
				+box-shadow(-1px 0 0 $darkgray)

				> span
					display: block
					width: 42px
					text-align: center
					line-height: 2em
					font-size: 0.75em
					cursor: pointer
					color: lighten($black, 70%)
					+box-shadow( inset 0 1px 0 $darkgray)

					&:first-child
						+box-shadow(none)

					&:hover
						background: lighten($black, 98%)

.reset-calendar
	background: $red
	width: 42px
	height: 42px
	cursor: pointer
	float: right
	font-size: 0.75em
	color: $white
	text-transform: uppercase
	text-align: center
	line-height: 42px
	+user-select(none)

	&:hover
		background: darken($red, 5%)




